// FTTStack - [2020-04-13 11:57:47]
#ifndef _FTTSTACK_H_
#define _FTTSTACK_H_

#include "FTTList.h"

/*
001A4A5C  FTTStack<FTTAtlasGeneratorNode *>::FTTStack(uint)
001A4B24  FTTStack<FTTAtlasGeneratorNode *>::~FTTStack()
001A4B76  FTTStack<FTTAtlasGeneratorNode *>::Insert(FTTAtlasGeneratorNode * const&)
*/

template <class T>
class FTTStack : public FTTList<T> {
public:
  // 001A4A5C
  FTTStack(uint count) : FTTList<T>(count){
  };

  //001A4B24
  virtual ~FTTStack(){
  };

  //001A4B76
  void Insert(T const& a2) {
    this->InsertHead(a2);
  };
};
#endif  //_FTTSTACK_H_